Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Class ForwardingClient

    java.lang.Object
      com.sshtools.j2ssh.forwarding.ForwardingClient

All Implemented Interfaces:
  ChannelFactory

public class ForwardingClient
extends java.lang.Object
implements ChannelFactory

DOCUMENT ME!

Nested Class Summary
`class` | `ForwardingClient.ClientForwardingListener`

Field Summary
`static java.lang.String` | `REMOTE_FORWARD_CANCEL_REQUEST` DOCUMENT ME!
`static java.lang.String` | `REMOTE_FORWARD_REQUEST` DOCUMENT ME!

Constructor Summary
`ForwardingClient(ConnectionProtocol connection)` Creates a new ForwardingClient object.

Method Summary
`ForwardingConfiguration` | `addLocalForwarding(ForwardingConfiguration fwd)` DOCUMENT ME!
`ForwardingConfiguration` | `addLocalForwarding(java.lang.String uniqueName, java.lang.String addressToBind, int portToBind, java.lang.String hostToConnect, int portToConnect)` DOCUMENT ME!
`void` | `addRemoteForwarding(ForwardingConfiguration fwd)` DOCUMENT ME!
`void` | `addRemoteForwarding(java.lang.String uniqueName, java.lang.String addressToBind, int portToBind, java.lang.String hostToConnect, int portToConnect)` DOCUMENT ME!
`Channel` | `createChannel(java.lang.String channelType, byte[] requestData)` DOCUMENT ME!
`void` | `enableX11Forwarding(XDisplay localDisplay)` DOCUMENT ME!
`java.util.List` | `getChannelType()` DOCUMENT ME!
`ForwardingConfiguration` | `getLocalForwardingByAddress(java.lang.String addressToBind, int portToBind)` DOCUMENT ME!
`ForwardingConfiguration` | `getLocalForwardingByName(java.lang.String name)` DOCUMENT ME!
`java.util.Map` | `getLocalForwardings()` DOCUMENT ME!
`ForwardingConfiguration` | `getRemoteForwardingByAddress(java.lang.String addressToBind, int portToBind)` DOCUMENT ME!
`ForwardingConfiguration` | `getRemoteForwardingByName(java.lang.String name)` DOCUMENT ME!
`java.util.Map` | `getRemoteForwardings()` DOCUMENT ME!
`ForwardingConfiguration` | `getX11ForwardingConfiguration()` DOCUMENT ME!
`boolean` | `hasActiveConfigurations()` DOCUMENT ME!
`boolean` | `hasActiveForwardings()` DOCUMENT ME!
`void` | `removeLocalForwarding(java.lang.String name)` DOCUMENT ME!
`void` | `removeRemoteForwarding(java.lang.String name)` DOCUMENT ME!
`void` | `startLocalForwarding(java.lang.String uniqueName)` DOCUMENT ME!
`void` | `startRemoteForwarding(java.lang.String name)` DOCUMENT ME!
`void` | `startX11Forwarding()` DOCUMENT ME!
`void` | `stopLocalForwarding(java.lang.String uniqueName)` DOCUMENT ME!
`void` | `stopRemoteForwarding(java.lang.String name)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMOTE_FORWARD_REQUEST

    public static final java.lang.String REMOTE_FORWARD_REQUEST

  DOCUMENT ME!

  See Also:
    Constant Field Values

### REMOTE_FORWARD_CANCEL_REQUEST

    public static final java.lang.String REMOTE_FORWARD_CANCEL_REQUEST

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### ForwardingClient

    public ForwardingClient(ConnectionProtocol connection)
                     throws java.io.IOException

  Creates a new ForwardingClient object.

Parameters:
  `connection` - DOCUMENT ME!
Throws:
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### getChannelType

    public java.util.List getChannelType()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### enableX11Forwarding

    public void enableX11Forwarding(XDisplay localDisplay)

  DOCUMENT ME!

  Parameters:
    `localDisplay` - DOCUMENT ME!

### getX11ForwardingConfiguration

    public ForwardingConfiguration getX11ForwardingConfiguration()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### hasActiveConfigurations

    public boolean hasActiveConfigurations()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### hasActiveForwardings

    public boolean hasActiveForwardings()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLocalForwardingByAddress

    public ForwardingConfiguration getLocalForwardingByAddress(java.lang.String addressToBind,
                                                               int portToBind)
                                                        throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `addressToBind` - DOCUMENT ME!
    `portToBind` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### getLocalForwardingByName

    public ForwardingConfiguration getLocalForwardingByName(java.lang.String name)
                                                     throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### getRemoteForwardingByName

    public ForwardingConfiguration getRemoteForwardingByName(java.lang.String name)
                                                      throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### getLocalForwardings

    public java.util.Map getLocalForwardings()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRemoteForwardings

    public java.util.Map getRemoteForwardings()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRemoteForwardingByAddress

    public ForwardingConfiguration getRemoteForwardingByAddress(java.lang.String addressToBind,
                                                                int portToBind)
                                                         throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `addressToBind` - DOCUMENT ME!
    `portToBind` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### removeLocalForwarding

    public void removeLocalForwarding(java.lang.String name)
                               throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### removeRemoteForwarding

    public void removeRemoteForwarding(java.lang.String name)
                                throws java.io.IOException,
                                       ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `ForwardingConfigurationException` - DOCUMENT ME!

### addLocalForwarding

    public ForwardingConfiguration addLocalForwarding(java.lang.String uniqueName,
                                                      java.lang.String addressToBind,
                                                      int portToBind,
                                                      java.lang.String hostToConnect,
                                                      int portToConnect)
                                               throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `uniqueName` - DOCUMENT ME!
    `addressToBind` - DOCUMENT ME!
    `portToBind` - DOCUMENT ME!
    `hostToConnect` - DOCUMENT ME!
    `portToConnect` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### addLocalForwarding

    public ForwardingConfiguration addLocalForwarding(ForwardingConfiguration fwd)
                                               throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `fwd` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### addRemoteForwarding

    public void addRemoteForwarding(java.lang.String uniqueName,
                                    java.lang.String addressToBind,
                                    int portToBind,
                                    java.lang.String hostToConnect,
                                    int portToConnect)
                             throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `uniqueName` - DOCUMENT ME!
    `addressToBind` - DOCUMENT ME!
    `portToBind` - DOCUMENT ME!
    `hostToConnect` - DOCUMENT ME!
    `portToConnect` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### addRemoteForwarding

    public void addRemoteForwarding(ForwardingConfiguration fwd)
                             throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `fwd` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### createChannel

    public Channel createChannel(java.lang.String channelType,
                                 byte[] requestData)
                          throws InvalidChannelException

  DOCUMENT ME!

  Specified by:
    `createChannel` in interface `ChannelFactory`
  Parameters:
    `channelType` - DOCUMENT ME!
    `requestData` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidChannelException` - DOCUMENT ME!

### startLocalForwarding

    public void startLocalForwarding(java.lang.String uniqueName)
                              throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `uniqueName` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### startX11Forwarding

    public void startX11Forwarding()
                            throws java.io.IOException,
                                   ForwardingConfigurationException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `ForwardingConfigurationException` - DOCUMENT ME!

### startRemoteForwarding

    public void startRemoteForwarding(java.lang.String name)
                               throws java.io.IOException,
                                      ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `ForwardingConfigurationException` - DOCUMENT ME!

### stopLocalForwarding

    public void stopLocalForwarding(java.lang.String uniqueName)
                             throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `uniqueName` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### stopRemoteForwarding

    public void stopRemoteForwarding(java.lang.String name)
                              throws java.io.IOException,
                                     ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `ForwardingConfigurationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD